aboutsummaryrefslogtreecommitdiffstats
path: root/main/libgssglue
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-07-16 07:40:48 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-07-16 07:40:48 +0000
commit6c91a0ce1da8c2592e58ecc05ff34d8438d80201 (patch)
treecd5cfacaa7d493d790f73352d71971b9da8f7609 /main/libgssglue
parent7b42f835da42b37a655032f35e5b62e20c39618a (diff)
downloadaports-6c91a0ce1da8c2592e58ecc05ff34d8438d80201.tar.gz
aports-6c91a0ce1da8c2592e58ecc05ff34d8438d80201.tar.bz2
aports-6c91a0ce1da8c2592e58ecc05ff34d8438d80201.tar.xz
main/libgcrypt: upgrade to 1.4.6
Diffstat (limited to 'main/libgssglue')
-rw-r--r--main/libgssglue/APKBUILD27
-rw-r--r--main/libgssglue/gssapi_mech.conf22
2 files changed, 49 insertions, 0 deletions
diff --git a/main/libgssglue/APKBUILD b/main/libgssglue/APKBUILD
new file mode 100644
index 0000000000..4701c765cf
--- /dev/null
+++ b/main/libgssglue/APKBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libgssglue
+pkgver=0.1
+pkgrel=1
+pkgdesc="exports a gssapi interface which calls other random gssapi libraries"
+url="http://www.citi.umich.edu/projects/nfsv4/linux/"
+license="BSD"
+depends=
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://www.citi.umich.edu/projects/nfsv4/linux/$pkgname/$pkgname-$pkgver.tar.gz
+ gssapi_mech.conf"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir/" install || return 1
+ install -D -m 644 ../gssapi_mech.conf "$pkgdir/"etc/gssapi_mech.conf
+ install -D -m644 COPYING $pkgdir/usr/share/licenses/libgssglue/COPYING
+}
+md5sums="ce1b4c758e6de01b712d154c5c97e540 libgssglue-0.1.tar.gz
+234b9cca75a33af98eda3f1683756879 gssapi_mech.conf"
diff --git a/main/libgssglue/gssapi_mech.conf b/main/libgssglue/gssapi_mech.conf
new file mode 100644
index 0000000000..f71aca08ee
--- /dev/null
+++ b/main/libgssglue/gssapi_mech.conf
@@ -0,0 +1,22 @@
+# Example /etc/gssapi_mech.conf file
+#
+# GSSAPI Mechanism Definitions
+#
+# This configuration file determines which GSS-API mechanisms
+# the gssd code should use
+#
+# NOTE:
+# The initiaiization function "mechglue_internal_krb5_init"
+# is used for the MIT krb5 gssapi mechanism. This special
+# function name indicates that an internal function should
+# be used to determine the entry points for the MIT gssapi
+# mechanism funtions.
+#
+# library initialization function
+# ================================ ==========================
+# The MIT K5 gssapi library, use special function for initialization.
+#/usr/lib/libgssapi_krb5.so mechglue_internal_krb5_init
+/usr/lib/libgssapi.so mechglue_internal_krb5_init
+#
+# The SPKM3 gssapi library function. Use the function spkm3_gss_initialize.
+# /usr/local/gss_mechs/spkm/spkm3/libgssapi_spkm3.so spkm3_gss_initialize